apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: jenkins-operator-0.2.0
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: jenkins-operator
      name: jenkins-operator
      podspec:
        containers:
          - image: aep/base_s6
            name: jenkins-operator
      sizing:
        increment: 0
        initial: 1
        maximum: 1
        minimum: 1
      topologyqueries:
        - flags:
            - key: operator_identifier
              value: jenkins-operator
            - key: v1_role
              value: jenkins
          format: array
          groupby:
            - v1_clusterid
            - v1_role
          name: allnodes
          scope: global
  includes:
    - name: defaults-operator
      vendor: asag
      version: 0.3.0
  name: jenkins-operator
  operator:
    flags:
      - from: value
        key: operator_identifier
        to: label
        value: jenkins-operator
    version: "1.0"
  settings:
    - name: environment
      schema:
        default: jenkins_prod
  version: 0.2.0
